Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class JoinFailureSuppressor

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor

Direct Known Subclasses:
  Activity, Scope

    public class JoinFailureSuppressor

extends BpelObject

Base class for nodes (such as `Activity` and `Process` that can suppress join failure.

Nested Class Summary
`static class` | `JoinFailureSuppressor.SuppressJoinFailure`

Field Summary
`static java.util.Map<java.lang.String,JoinFailureSuppressor.SuppressJoinFailure>` | `__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`JoinFailureSuppressor(org.w3c.dom.Element el)`

Method Summary
`JoinFailureSuppressor.SuppressJoinFailure` | `getSuppressJoinFailure()` Get the suppress join failure flag.

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### __suppressJoinFailure

    public static final java.util.Map<java.lang.String,JoinFailureSuppressor.SuppressJoinFailure> __suppressJoinFailure

Constructor Detail

### JoinFailureSuppressor

    public JoinFailureSuppressor(org.w3c.dom.Element el)

Method Detail

### getSuppressJoinFailure

    public JoinFailureSuppressor.SuppressJoinFailure getSuppressJoinFailure()

  Get the suppress join failure flag.

  Returns:
    suppress join failure flag code

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD